package com.uas.platform.b2b.erp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.uas.platform.b2b.dao.BarLParameterDao;
import com.uas.platform.b2b.erp.model.LabelParameter;
import com.uas.platform.b2b.erp.service.BarLParameterService;
import com.uas.platform.b2b.model.BarLabelParameter;

@Service
public class BarLParameterServiceImpl implements BarLParameterService{
	
	@Autowired
	BarLParameterDao barLParameterDao;
	
	@Override
	public List<BarLabelParameter> convertBarLParameter(List<LabelParameter> lParameters) {
		List<BarLabelParameter> barLparameters = new ArrayList<BarLabelParameter>();
		for(LabelParameter lParameter : lParameters) {
			BarLabelParameter barLabelParameter = lParameter.convent();
			 List<BarLabelParameter> barLparameters2= barLParameterDao.findByLaid(barLabelParameter.getLaid());
			if(barLparameters2.size() > 0) {
				barLabelParameter.setId(barLparameters2.get(0).getId());
			}
			barLparameters.add(barLabelParameter);
		}
		return barLparameters;
	}

}
